<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class CareMonth extends Model
{

    protected $table = "care_month";

    public function cmPro(){
        return $this->hasOne(Pro::class, 'id', 'cm_pro_id');
    }

    public function rmePro(){
        return $this->hasOne(Pro::class, 'id', 'rme_pro_id');
    }

    public function rmmPro(){
        return $this->hasOne(Pro::class, 'id', 'rmm_pro_id');
    }

    public function careMonthEntries()
    {
        return $this->hasMany(CareMonth::class, 'care_month_id', 'id');
    }

}
